-------------------------------------------------------------------------------
-- EC.ELEMENTS_bak
--
-- This is the backup table setup script for the normal EC schema tables.
-------------------------------------------------------------------------------

------ Change Log -------------------------------------------------------------
--  Flag  Track   Staff            Date        Description
-- ------ -----  -------------  ----------  -----------------------------------
--  none  23158  Todd Schlomer  2006/06/23   Initial Creation
--  none  23232  Todd Schlomer  2006/07/06   New protection fields
--  none  23341  Todd Schlomer  2006/07/17   Added site location field and table
--	none	  23536	 Jay Calder		2006/08/07   Split the alter table statement
-------------------------------------------------------------------------------

CREATE SCHEMA EC;

DROP TABLE EC.ELEMENTS_bak;
CREATE TABLE EC.ELEMENTS_bak
  (INTERNALNAME VARCHAR(250) NOT NULL,
   ELEMENTID VARCHAR(250) NOT NULL,
   PARENTID VARCHAR(250),
   NICKNAME VARCHAR(250),
   BASETYPE VARCHAR(250),
   SPECIFICTYPE1 VARCHAR(250),
   CAPACITY VARCHAR(250),
   CAPACITYTYPE VARCHAR(250),
   ISALIVE SMALLINT NOT NULL,
   ISPROTECTED SMALLINT NOT NULL DEFAULT 0,
   PROTECTIONBY VARCHAR(32) NOT NULL DEFAULT 'nobody',
   SITELOCATIONID SMALLINT NOT NULL DEFAULT 0,
   SUPERPARENTID VARCHAR(250),
   ELEMENTTYPE VARCHAR(250),
   TOTALBYTES BIGINT NOT NULL DEFAULT 0);

ALTER TABLE EC.ELEMENTS_bak
  ADD CONSTRAINT PK_ELEMENTS_bak PRIMARY KEY (ELEMENTID);
  
DROP TABLE EC.SITELOCATION_bak;
CREATE TABLE EC.SITELOCATION_bak 
   (SITELOCATIONID SMALLINT NOT NULL, 
    SITENAME VARCHAR (250) NOT NULL);

ALTER TABLE EC.SITELOCATION_bak
  ADD CONSTRAINT PK_SITELOCA_bak PRIMARY KEY (SITELOCATIONID);
ALTER TABLE EC.SITELOCATION_bak  
  ADD CONSTRAINT UN_SITELOCA_bak UNIQUE (SITENAME);