-------------------------------------------------------------------------------
-- ESSHWL backup tables
--
-- This is the backup table setup script for the normal ESSHWL schema tables.
-------------------------------------------------------------------------------

------ Change Log -------------------------------------------------------------
--  Flag  Track   Staff            Date        Description
-- ------ -----  -------------  ----------  -----------------------------------
--  none  23158  Todd Schlomer  2006/06/23   Initial Creation
--  none  23341  Todd Schlomer  2006/07/17   Added site location support
-------------------------------------------------------------------------------

CREATE SCHEMA ESSHWL;

DROP TABLE ESSHWL.ESSSERVERMAPPING_bak;
CREATE TABLE ESSHWL.ESSSERVERMAPPING_bak
  (ESSNAME VARCHAR(250) NOT NULL,
   SERVERLOCATION VARCHAR(250) NOT NULL,
   ESSINFORMATION BLOB(1K) NOT NULL);

ALTER TABLE ESSHWL.ESSSERVERMAPPING_bak
  ADD CONSTRAINT PK_ESSSERVERMA_bak PRIMARY KEY (SERVERLOCATION, ESSNAME);

DROP TABLE ESSHWL.SERVERLOCATIONMAPPING_bak;
CREATE TABLE ESSHWL.SERVERLOCATIONMAPPING_bak
  (SERVERLOCATION VARCHAR(250) NOT NULL,
   USERNAME VARCHAR(250),
   PASSWORD VARCHAR(250),
   UNIQUENAME VARCHAR(250),
   NOTIFICATIONPORT INTEGER NOT NULL,
   SERVERTYPE SMALLINT NOT NULL,
   HOSTNAMECLUSTER0 VARCHAR(250),
   PORTNUMBERCLUSTER0 INTEGER NOT NULL,
   USERNAMECLUSTER0 VARCHAR(250),
   PASSWORDCLUSTER0 VARCHAR(250),
   HOSTNAMECLUSTER1 VARCHAR(250),
   PORTNUMBERCLUSTER1 INTEGER NOT NULL,
   USERNAMECLUSTER1 VARCHAR(250),
   PASSWORDCLUSTER1 VARCHAR(250),
   SITELOCATIONID SMALLINT NOT NULL DEFAULT 0);

ALTER TABLE ESSHWL.SERVERLOCATIONMAPPING_bak
  ADD CONSTRAINT PK_SERVERLOCA_bak PRIMARY KEY (SERVERLOCATION);

DROP TABLE ESSHWL.ESSPATH_bak;
CREATE TABLE ESSHWL.ESSPATH_bak
  (PATHID VARCHAR(250) NOT NULL,
   PATHTYPE SMALLINT NOT NULL,
   SERVERLOCATION VARCHAR(250) NOT NULL,
   PATHSTATE SMALLINT NOT NULL,
   SOURCEPORTS BLOB(1K) NOT NULL,
   TARGETPORTS BLOB(1K) NOT NULL,
   AUTOGENERATED BLOB(1K) NOT NULL,
   SOURCEWWNN VARCHAR(250) NOT NULL,
   TARGETWWNN VARCHAR(250) NOT NULL);

ALTER TABLE ESSHWL.ESSPATH_bak
  ADD CONSTRAINT PK_ESSPATH_bak PRIMARY KEY (PATHTYPE, PATHID, SERVERLOCATION);

DROP TABLE ESSHWL.ASYNCMASTERQUERYMONITOR_bak;
CREATE TABLE ESSHWL.ASYNCMASTERQUERYMONITOR_bak
  (ESSNAME VARCHAR(250) NOT NULL,
   SESSIONNUMBER INTEGER NOT NULL,
   LSSNUMBER INTEGER NOT NULL,
   SSID INTEGER NOT NULL,
   QUERYISRUNNING SMALLINT NOT NULL);

ALTER TABLE ESSHWL.ASYNCMASTERQUERYMONITOR_bak
  ADD CONSTRAINT PK_ASYNCMASTER_bak PRIMARY KEY (ESSNAME, SESSIONNUMBER, LSSNUMBER);